#include<bits/stdc++.h>
using namespace std;
#define endl '\n'
const long long MAX=1e7+10;
long long t[MAX], n, a, b, ans, br=0;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>n;
    for(int i=0; i<n; i++){
        cin>>a>>b;
        t[a]++;
        t[b]--;
    }
    for(int i=1; i<1e7+1; i++){
        t[i]+=t[i-1];
        ans=max(ans, t[i]);
    }
    for(int i=1; i<1e7+1; i++){
        if(t[i]==ans) br++;
    }
    cout<<ans<<endl<<br<<endl;
    return 0;
}
